Bug 227227 - [Cocoa] iOS device steals BT headphones from other devices during silent playback
Summary: [Cocoa] iOS device steals BT headphones from other devices during silent play...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-21 11:24 PDT by Jer Noble
Modified: 2021-07-13 17:15 PDT (History)
9 users (show)

See Also:


Attachments
Patch (5.91 KB, patch)
2021-06-21 11:41 PDT, Jer Noble
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (5.91 KB, patch)
2021-06-21 11:43 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (5.94 KB, patch)
2021-06-21 12:42 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (1.33 KB, patch)
2021-06-23 16:41 PDT, Truitt Savell
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (1.33 KB, patch)
2021-06-23 16:49 PDT, Truitt Savell
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2021-06-21 11:24:48 PDT
[Cocoa] iPad steals AirPods from other devices during silent playback
Comment 1 Jer Noble 2021-06-21 11:26:23 PDT
<rdar://78792479>
Comment 2 Jer Noble 2021-06-21 11:41:12 PDT
Created attachment 431886 [details]
Patch
Comment 3 Jer Noble 2021-06-21 11:43:19 PDT
Created attachment 431888 [details]
Patch
Comment 4 Eric Carlson 2021-06-21 12:31:35 PDT
Comment on attachment 431888 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=431888&action=review

> Source/WebCore/platform/audio/ios/AudioSessionIOS.mm:100
> +static void setEligibleForSmartRouting(bool eligible)
> +{

Probably worth asserting if this is called on the main thread.
Comment 5 Jer Noble 2021-06-21 12:42:43 PDT
Created attachment 431895 [details]
Patch for landing
Comment 6 Jer Noble 2021-06-21 13:19:33 PDT
<rdar://67615678>
Comment 7 EWS 2021-06-22 09:17:55 PDT
Committed r279119 (239036@main): <https://commits.webkit.org/239036@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431895 [details].
Comment 8 Jer Noble 2021-06-22 13:07:41 PDT
Follow-up tvOS and Catalyst build fix: Committed r279138
Comment 9 Truitt Savell 2021-06-23 16:33:26 PDT
it looks like the changes in https://trac.webkit.org/changeset/279119/webkit broke testing for iOS debug with 50+ timeouts and 40 API failures https://build.webkit.org/#/builders/59/builds/1679 I need to revert this unless its something simple.

Talked to Jer offline and he believes removing the Assert is the right thing to do.
Comment 10 Truitt Savell 2021-06-23 16:41:53 PDT
Reopening to attach new patch.
Comment 11 Truitt Savell 2021-06-23 16:41:55 PDT
Created attachment 432107 [details]
Patch
Comment 12 Truitt Savell 2021-06-23 16:49:08 PDT
Created attachment 432110 [details]
Patch
Comment 13 EWS 2021-06-23 17:30:55 PDT
Patch 432107 does not build
Comment 14 EWS 2021-06-23 17:45:09 PDT
Committed r279200 (239087@main): <https://commits.webkit.org/239087@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432110 [details].